DefaultConfigurationBuilder (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class DefaultConfigurationBuilder

    java.lang.Object
      edu.harvard.hul.ois.jhove.DefaultConfigurationBuilder

    public class DefaultConfigurationBuilder

extends java.lang.Object

This class creates a default configuration if no valid configuration file is found.

Constructor Summary
`DefaultConfigurationBuilder(java.io.File location)` Constructor.

Method Summary
`java.io.File` | `getConfigFile()`
`protected java.lang.String[]` | `getDefaultConfigParameters(java.lang.Class<?> c)` We can't have a static method in an Interface and override it, so we have to get a bit ugly to fake static inheritance.
`protected java.util.List<ModuleInfo>` | `getModules()`
`void` | `writeDefaultConfigFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder

    public DefaultConfigurationBuilder(java.io.File location)

  Constructor. A location for the file may be specified or left null,

Method Detail

### writeDefaultConfigFile

    public void writeDefaultConfigFile()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getConfigFile

    public java.io.File getConfigFile()

### getModules

    protected java.util.List<ModuleInfo> getModules()

### getDefaultConfigParameters

    protected java.lang.String[] getDefaultConfigParameters(java.lang.Class<?> c)

  We can't have a static method in an Interface and override it, so we have to get a bit ugly to fake static inheritance. The advantage of this is that only the Modules with non-null default config file parameters have to implement the defaultConfigParams static field.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD